<div align="center">

<img align="center" width="128px" src="src-tauri/icons/icon.png" />
<h1 align="center"><b>Qopy</b></h1>

Простой и исправленный менеджер буфера обмена как для Windows, так и для Linux.

<a href="https://github.com/0PandaDEV/Qopy/releases/download/v0.3.1/Qopy-0.3.1_x64.msi">
  <img src="./public/windows.png"> Windows (x64)
</a>
•
<a href="https://github.com/0PandaDEV/Qopy/releases/download/v0.3.1/Qopy-0.3.1_arm64.msi">
  Windows (arm64)
</a>
<br>
<a href="https://github.com/0PandaDEV/Qopy/releases/download/v0.3.1/Qopy-0.3.1.deb">
  <img src="./public/linux.png"> Linux (deb)
</a>
•
<a href="https://github.com/0PandaDEV/Qopy/releases/download/v0.3.1/Qopy-0.3.1.rpm">
  Linux (rpm)
</a>
•
<a href="https://github.com/0PandaDEV/Qopy/releases/download/v0.3.1/Qopy-0.3.1.AppImage">
  Linux (AppImage)
</a>
<br>
<a href="https://github.com/0PandaDEV/Qopy/releases/download/v0.3.1/Qopy-0.3.1_silicon.dmg">
  <img src="./public/apple.png"> macOS (Silicon)
</a>
•
<a href="https://github.com/0PandaDEV/Qopy/releases/download/v0.3.1/Qopy-0.3.1_intel.dmg">
  macOS (Intel)
</a>
<br>
<br>
<sup>Тестовые версии можно найти <a href="https://github.com/0PandaDEV/qopy/actions/workflows/build.yml">тут</a> </sup>

</div>

[discord »](https://discord.gg/invite/Y7SbYphVw9)

> \[!IMPORTANT]
>
> **Нажав на звезду**, Вы будете получать все уведомления от Github о новых версиях без задержек  \~ ⭐️

<details>
  <summary><kbd>Star History</kbd></summary>
  <a href="https://star-history.com/#0pandadev/qopy&Date">
    <picture>
      <source media="(prefers-color-scheme: dark)" srcset="https://api.star-history.com/svg?repos=0pandadev/qopy&theme=dark&type=Date">
      <img width="100%" src="https://api.star-history.com/svg?repos=0pandadev/qopy&type=Date">
    </picture>
  </a>
</details>

[![wakatime](https://wakatime.com/badge/user/018ce503-097f-4057-9599-db20b190920c/project/fe76359d-56c2-4a13-8413-55207b6ad298.svg?style=flat_square)](https://wakatime.com/badge/user/018ce503-097f-4057-9599-db20b190920c/project/fe76359d-56c2-4a13-8413-55207b6ad298)

## 📋 Что такое Qopy

Qopy представляет собой исправленный менеджер буфера обмена, разработанный как простая альтернатива стандартному буферу обмена в Windows. Его цель - обеспечить более быструю и надежную работу, предоставляя при этом обширный набор функций по сравнению со своим аналогом в Windows..

## 🚧 Дорожная карта
- [ ] [Руководство по установке](https://github.com/0PandaDEV/Qopy/blob/main/GET_STARTED.md)
- [ ] Синхронизация между устройствами https://github.com/0PandaDEV/Qopy/issues/8
- [ ] Настройки https://github.com/0PandaDEV/Qopy/issues/2
- [x] Метаданные для скопированных элементов https://github.com/0PandaDEV/Qopy/issues/5
- [ ] Выделение кода https://github.com/0PandaDEV/Qopy/issues/7
- [ ] Интеграция Streamshare https://github.com/0PandaDEV/Qopy/issues/4
- [ ] Фильтр типов контента https://github.com/0PandaDEV/Qopy/issues/16
- [ ] Превью скопированных файлов https://github.com/0PandaDEV/Qopy/issues/15
- [ ] Конвертация файлов в другие форматы https://github.com/0PandaDEV/Qopy/issues/17
- [x] Свои горячие клавиши https://github.com/0PandaDEV/Qopy/issues/3
- [x] Поддержка macOS  https://github.com/0PandaDEV/Qopy/issues/13

<sup>Если у вас есть идеи для функций, которые можно добавить в будущем, пожалуйста, напишите об этом [здесь](https://github.com/0pandadev/Qopy/issues).</sup>

## 📦 Концепты

Здесь вы можете увидеть несколько концепцов, которые могут быть не реализованы:

![Clipboard](https://github.com/user-attachments/assets/45a44a13-6ebd-4f2d-84d2-55178e303a54)
![Settings](https://github.com/user-attachments/assets/bff5456a-f413-4e62-a43d-22c8e453aa87)


## ❤️ Пожертвования и Поддержка

Qopy имеет открытый исходный код и бесплатен для использования. Я ценю пожертвования в поддержку постоянной разработки и улучшений. Ваши взносы являются добровольными и помогают мне улучшить приложение для всех.

<a href="https://buymeacoffee.com/pandadev_"><img src="https://img.shields.io/badge/Buy_Me_A_Coffee-FFDD00?style=for-the-badge&logo=buy-me-a-coffee&logoColor=black"/></a>

## ⌨️ Локальная разработка

Вы можете использовать GitHub Codespaces для онлайн-разработки:

[![][codespaces-shield]][codespaces-link]

Или, чтобы настроить Qopy на вашем компьютере, вам необходимо установить Rust и bun. Затем выполните следующие действия:

```zsh
git clone https://github.com/0pandadev/Qopy.git
cd Qopy
bun i
bun dev
```

> \[!Tip] 
>
> Если вы заинтересованы во внесении кода, не стесняйтесь смотреть здесь [Issues](https://github.com/0pandadev/Qopy/issues).

## 🔨 Сборка для продакшена

Чтобы собрать для продакшена,просто выполните:

```zsh
bun build
```

> \[!NOTE]
>
> Не волнуйтесь, в конце произойдет сбой, потому что он не сможет обнаружить Приватный ключ, но установочные файлы будут сгенерированы независимо от этого.
> 
> Вы можете найти его в `src-tauri/target/release/bundle`.

## 📝 Лицензия

Qopy лицнзирован под GPL-3. Смотрите [LICENSE file](./LICENCE) для дополнительной информации.

[codespaces-link]: https://codespaces.new/0pandadev/Qopy
[codespaces-shield]: https://github.com/codespaces/badge.svg
